# Codebase Guidelines

## Structure
- `gitea_cli.py`: Main CLI implementation
- `requirements.txt`: Dependencies
- `.env.example`: Configuration template

## Patterns
- Use Click for CLI interface
- Separate API client class from CLI commands
- Consistent error handling
- Comprehensive help documentation

## Interfaces
- GiteaAPI class handles all API interactions
- CLI commands map to API methods
- Configuration via get_gitea_config()
